Skip to main content
PUT
Change a Pix key entry

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Path Parameters

entryId
string
required

The Pix key value (URL-encoded).

Body

application/json
accountId
string
required

The CRM account id of the key owner (resolves the server-side ISPB).

reason
integer<int64>
required

Change reason (0=Customer Request,2=Branch Transfer,6=Reconciliation,8=Receita Federal Validation). EVP keys must not use 0.

accountOpeningDate
string

The new account's opening timestamp (RFC3339).

newAccount
string

The new account number to associate with the key.

newAccountType
integer<int64>

The new account type (0=Checking,1=Salary,2=Savings,3=Payment,4=PI).

newBranch
string

The new branch number to associate with the key.

newName
string

The new owner full name / legal name.

newTradeName
string

The new owner trade name (sent only for a corporate owner).

Response

OK

key
string
required

The Pix key (unchanged).

claimOpenedAt
string

When a possession/portability claim was opened by the change (RFC3339), if any.

createdAt
string

When the key was created (RFC3339).

ownershipStartAt
string

When ownership of the key began (RFC3339).